Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class PersistenceAdapterSupport

    java.lang.Object
      org.codehaus.activemq.service.impl.PersistenceAdapterSupport

All Implemented Interfaces:
  PersistenceAdapter, Service

Direct Known Subclasses:
  BDbPersistenceAdapter, BDbPersistenceAdapter, CachePersistenceAdapter, HowlPersistenceAdapter, JDBCPersistenceAdapter, JdbmPersistenceAdapter, JournalPersistenceAdapter, VMPersistenceAdapter

public abstract class PersistenceAdapterSupport
extends Object
implements PersistenceAdapter

Abstract base class useful for implementation inheritence

Version:
  $Revision: 1.3 $

Constructor Summary
`PersistenceAdapterSupport()`

Method Summary
`QueueMessageContainer` | `createQueueMessageContainer(String destinationName)` Factory method to create a new durable queue based message contaienr
`TopicMessageContainer` | `createTopicMessageContainer(String destinationName)` Factory method to create a new durable topic based message container

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.activemq.store.PersistenceAdapter
`beginTransaction, commitTransaction, createPreparedTransactionStore, createQueueMessageStore, createTopicMessageStore, getInitialDestinations, rollbackTransaction`

Methods inherited from interface org.codehaus.activemq.service.Service
`start, stop`

Constructor Detail

### PersistenceAdapterSupport

    public PersistenceAdapterSupport()

Method Detail

### createTopicMessageContainer

    public TopicMessageContainer createTopicMessageContainer(String destinationName)
                                                      throws JMSException

  Description copied from interface: `PersistenceAdapter`
  Factory method to create a new durable topic based message container

  Specified by:
    `createTopicMessageContainer` in interface `PersistenceAdapter`
  Throws:
    `JMSException`

### createQueueMessageContainer

    public QueueMessageContainer createQueueMessageContainer(String destinationName)
                                                      throws JMSException

  Description copied from interface: `PersistenceAdapter`
  Factory method to create a new durable queue based message contaienr

  Specified by:
    `createQueueMessageContainer` in interface `PersistenceAdapter`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.